<template>
<div class="list">
    <div class="title">
        <img :src="pic" class="img1" @click="getlocation"/>
         当前城市：
         <!-- {{province}} -->
            <picker mode="multiSelector" @change="bindChange" :value="select" :range="region"
                @columnchange="bindColumnChange">
        <div class="content">
            <div class="picker">
               {{city}}
            </div>
        </div>
        </picker>
        <img :src="right" class="img2"/>
    </div>
    <div v-if="datas.length ===0" class="item1">
    <div>该城市暂不提供此服务</div> 
     </div>
<div v-for="(item,index) in datas" :key="index" @click="store(item)" class="item">
    <div class="text1">{{item.storeName}}</div>
    <div class="text2">{{item.province}}{{item.city}}{{item.district}}</div>
</div>
<div class="section">
   
  </div>
<v-hintbox :hintbox="hintbox" @close="close"></v-hintbox>
</div>
</template>

<script type="text/ecmascript-6">
  import config from '@/config'
  import city from '@/utils/city'
  import {VeevlinkLogin,VeevlinkIslogin,VeevlinkClient,VeevlinkData} from '@/utils/base'
  import {get,showToast,setStorageSync,getStorageSync,scanCode} from '@/util'
  import store from '@/store'
  let amapFile = require('@/utils/gaode.js');
  import hintbox from '@/components/hintbox/hintbox.vue'
  export default {
    data(){
      return{
          latitude:'',
          longitude:'',
        pic:config.url+'location.png',
        select: [0, 0],
        region: [Object.keys(city), city[Object.keys(city)[0]]],
        province: '',
        city: '深圳',
        province1: '',
        city1: '深圳',
        right:config.url + 'right.png',
        flags: false,
        position: { x: 0, y: 0 },
        nx: '', ny: '', dx: '', dy: '', xPum: '', yPum: '',
        nodata:'',
        datas:[],
        unstart:'',
        end:'',
        pendding:'',
        camInList:[],//进行中活动
        camNopList:[],//未开启活动
        camHisList:[],//历史活动
        hintbox: {
          text: "",
          show: false
        },
      }
    },
    components:{
       'v-hintbox' : hintbox
    },
    methods:{
         bindChange (e) {
        if (!e.mp.detail.value || e.mp.detail.value.length < 2) return
        var region = this.region
        var pronIdex = e.mp.detail.value[0]
        var cityIndex = e.mp.detail.value[1]
        this.province = region[0][pronIdex];
        if(this.province === '北京市'|| this.province === '天津市' || this.province === '重庆市' || this.province === '上海市'){
            this.city = this.province;
        }else{
            this.city = region[1][cityIndex];
            

        }
        this.getAjax(this.city);
        console.log(this.province, this.city)
      },
      bindColumnChange (e) {
        if (e.mp.detail.column === 0) {
          var region = this.region
          var province = region[0][e.mp.detail.value]
          this.region = [region[0], city[province]]
          this.select = [e.mp.detail.value, 0]
        }
      },
    
      //可用门店
      store(data){
        // config.href(config.customer.order+'?storeId='+data.storeId +'&storename=' +data.storeName);
        //   let pages = getCurrentPages();
        //   let prevPage = pages[pages.length - 2];
        //   prevPage.setData({
        //        message: '222',
        //   })
        //   wx.navigateBack({
        //        delta: 1,
        //   })
        // // config.back();
        wx.setStorageSync('store',data);
        let pages = getCurrentPages();
        // 获取上一级页面，即pageA的page对象
        let prevPage = pages[pages.length - 2];
        // 获取上一级页面，即pageA的data
        let prevPageData = prevPage.data;
          wx.navigateBack({
               delta: 1,
          })
        prevPage.onLoad();
        
        
      },
      //获取地理位置信息
      getlocation(){
        let that = this;
        wx.getSetting({
          success(res) {
            console.log('用户是否授权地理位置信息==='+res.authSetting['scope.userLocation']);
            if (!res.authSetting['scope.userLocation']) {
              wx.authorize({
                scope: 'scope.userLocation',
                success() {
                  wx.getLocation({
                    type: 'gcj02',
                    altitude: true,
                    success: function (res) {
                      console.log(res);
                      that.latitude = res.latitude;
                      that.longitude = res.longitude;
                      let speed = res.speed;
                      let accuracy = res.accuracy;
                      that.gaodeMap();
                    //   that.qqMap();
                    },
                  })
                },
                fail(){
                  // wx.showModal({
                  //   title: '请授权当前位置',
                  //   content: '需要获取您的地理位置，请确认授权',
                  //   success: function(res) {
                  //     if (res.confirm) {
                  //       wx.openSetting({
                  //         success: function (data) {
                  //           if (data.authSetting["scope.userLocation"] === true) {
                  //             wx.showToast({
                  //               title: '授权成功',
                  //               icon: 'success',
                  //               duration: 1000
                  //             })
                  //             that.getlocations();
                  //             //授权成功之后，再调用chooseLocation选择地方
                  //           } else {
                  //             wx.showToast({
                  //               title: '授权失败',
                  //               icon: 'success',
                  //               duration: 2000
                  //             })
                  //             that.getlocations();
                  //           }
                  //         }
                  //       })
                  //       console.log('用户点击确定')
                  //     } else if (res.cancel) {
                  //       that.getlocations();
                  //       console.log('用户点击取消')
                  //     }
                  //   }
                  // })
                  // that.showModel();
                }
              })

            }
            else{
              wx.getLocation({
                type: 'wgs84',
                success: function (res) {
                  console.log(res);
                  that.latitude = res.latitude;
                  that.longitude = res.longitude;
                  let speed = res.speed;
                  let accuracy = res.accuracy;
                  that.gaodeMap();
                //   that.qqMap();
                },
              })
            }
          }
        })
      },
      gaodeMap(){
        let that = this;
        let markersData = {
          latitude: that.latitude,//纬度
          longitude: that.longitude,//经度
          key: 'db463bea6078beafe078f42fa32d2b1c'
        };
        let addArr = [];
        let myAmapFun = new amapFile.AMapWX({ key: 'db463bea6078beafe078f42fa32d2b1c' });
        myAmapFun.getRegeo(
          {
            location: ''+markersData.longitude+','+markersData.latitude+'',
            success: function (data) {
              console.log('地理位置======='+data);
              console.log('省份'+data[0].regeocodeData.addressComponent.province);
              console.log(JSON.stringify(data[0].regeocodeData.addressComponent.province));
              if(JSON.stringify(data[0].regeocodeData.addressComponent.province) !== '[]'){
                that.province1 = data[0].regeocodeData.addressComponent.province;
                let citydata = data[0].regeocodeData.addressComponent.city;
                if(citydata.length === 0){
                  that.city1 = that.province1;
                }else{
                  that.city1 = citydata;
                }
                // that.addr = data[0].regeocodeData.formatted_address;
                console.log('省份'+that.province1);
                console.log('城市'+that.city1);
                that.city = that.city1;
                that.getAjax(that.city1);
                // console.log('地址'+that.addr);
                // console.log(data[0].regeocodeData.pois);
                let dataAll = data[0].regeocodeData.pois;
                // console.log(dataAll.length)
                for (let i = 0; i < dataAll.length; i++) {
                  addArr.push({ "id": i, "address": dataAll[i] });
                }
                that.adds = addArr;
                // console.log(that.adds);
                that.auth = true;

              }else{
                that.province1 = '';
                // that.addr = '';
                that.city1 = '';
              }

            }
          });
      },
      //获取地址信息
          getAjax(city){
        let that = this;
        let VerificationCodeEntity =  wx.getStorageSync('informationwx23bcedfe9e867c13');
        let memberId = wx.getStorageSync('memberid');
        var data = {
          openId:VerificationCodeEntity.OpenId,
          city:city
        };
        VeevlinkClient(
          '/member/store/list',
          'POST',
          data,
          function (data) {
            console.log(data);
            if(data.success){
              if(data.records){
                that.datas = data.records;
                console.log('datas',that.datas);
              }else{
                
              }
              
            }else{
              that.hintbox.show = true;
              that.hintbox.text = success.message;
            }
          },
          function (error) {
            console.log(error);
          })
      }
      
    },
    onLoad(){
      let that = this;
      this.nodata = false;
    //   this.getAjax('深圳市');
      that.getlocation();
    }

  }
</script>
<style>
page{
    background:rgba(234,234,234,1);
}
</style>

<!-- Add "scoped" attribute to limit CSS to this component only -->
<style lang="scss" type="text/scss" scoped>
.list {
    .title{
        text-align:center;
        color:#727171;
        font-size:0.24rem;
        margin-top:0.36rem;
        margin-bottom:0.34rem;
        display:FLEX;
        margin-left:2.62rem;
        .img1{
            width:0.22rem;
            height:0.27rem;
            margin-left:0.1rem;
            margin-left:0.05rem;
            margin-right:0.2rem;
        }
        .picker{
            color:#727171;
            font-size:0.24rem;
        }
        .img2{
            width:0.13rem;
            height:0.16rem;
            margin-left:0.1rem;
            margin-left:0.05rem;
        }
    }
    .item1{
        width: 100%;
        height: 1.97rem;
        background:#fff;
        line-height:1.97rem;
        text-align:center;
        
        div{
             font-size:0.24rem;
             color:#727171;

        }
       
    }
    .item{
        width: 100%;
        height: 1.32rem;
        background:#fff;
        border-bottom:1px solid #EAEAEA;
        padding-top:0.38rem;
        .text1{
            font-size:0.28rem;
             color:#333333;
             
              margin-left:0.68rem;

        }
        .text2{
            font-size:0.24rem;
             color:#727171;
             margin-top:0.27rem;
             margin-left:0.68rem;

        }
       
    }
   
}
</style>
